> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Target Rule

> Create Target Rule



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json post /commerce/targetrules
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/targetrules:
    post:
      tags:
        - TargetRules
      summary: Create Target Rule
      description: Create Target Rule
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TargetRule'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TargetRule'
            text/json:
              schema:
                $ref: '#/components/schemas/TargetRule'
            text/plain:
              schema:
                $ref: '#/components/schemas/TargetRule'
          description: Success
components:
  schemas:
    TargetRule:
      description: >-
        An object used to define a bool expression against a particular domain
        type
      properties:
        code:
          description: "The user defined code for this rule\r\n<remarks>must be unique</remarks>"
          nullable: true
          type: string
        description:
          description: The description of this rule
          nullable: true
          type: string
        domain:
          description: "The domain of this rule\r\n<value>Product</value><value>Order</value>"
          nullable: true
          type: string
        expression:
          description: the expression of this rule
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````